Subject: Re: bug#46827: Broken initial size of GTK3 frame

From: Robert Pluim <[email-masked]>
Date: Mon, 01 Mar 2021 11:15:01 +0100

>>>>> On Mon, 1 Mar 2021 09:31:20 +0100, martin rudalics <[email-masked]> said:

    martin> Re-sending this since it apparently got lost by the bug tracker:
    >> Reverting 58430f29968a5661caff630d20dbbe7c864fe08d with current master
    >> does _not_ fix the bug, so something else must be at play here too.

Iʼll just say I donʼt see this with Gnome on Debian testing, with
either emacs-27 or master, so once again itʼs window manager
dependent.

    martin> It turns out that the "something else" is just that

    martin>              /* Querying further backends can be very slow, so we only do
    martin>                 it if the user has explicitly requested it (Bug#43177).  */
    martin>              if (query_all_font_backends == false)
    martin>                break;

    martin> The attached patch reverting 58430f29968a5661caff630d20dbbe7c864fe08d
    martin> and removing the entity above fixes the bug on master.

Iʼm surprised that querying another font backend when we've already
found a font causes frame sizing issues like this. Do we understand
the cause here?

We can revert the bug#43177 fix of course, but perhaps we should make
it conditional on !GTK3 || PGTK or something?

Robert
--